### Enumeration

# Gio EcnCodePoint

since: 2.88

#### Declaration

    enum Gio.EcnCodePoint

#### Description [src]

Possible values of Explicit Congestion Notification code points.

These appear in `TOS` (IPv4) or `TCLASS` (IPv6) packet headers and are described in RFC 3168.

Available since: 2.88

#### Members

`G_ECN_NO_ECN`

  Not ECN-capable transport.

  - Value: `0`
  - Available since: 2.88
`G_ECN_ECT_1`

  ECN Capable Transport(1).

  - Value: `1`
  - Available since: 2.88
`G_ECN_ECT_0`

  ECN Capable Transport(0).

  - Value: `2`
  - Available since: 2.88
`G_ECN_ECT_CE`

  Congestion Experienced.

  - Value: `3`
  - Available since: 2.88